Skip to navigation

List Calls

List voice calls for your team. Results are sorted newest first.

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Query parameters

limitintegerOptional1-100
Maximum calls to return.
cursorstringOptional>=1 character
Opaque cursor returned by the previous page.
stateenumOptional

Current voice call lifecycle state. This field is named state on Call objects and status on CALL.STATUS webhook payloads.

  • INITIATED: Pinnacle accepted the call request and is setting up the call with the voice provider.
  • RINGING: The call is ringing and has not been answered yet.
  • ANSWERED: The call has been answered and is active.
  • BRIDGED: The call is connected to another call leg, such as after a transfer or bridge command.
  • ENDED: The call ended normally.
  • FAILED: The call could not be established or could not continue because of a provider or system failure.
  • NO_ANSWER: The call rang until timeout without being answered.
  • BUSY: The destination was busy.
  • CANCELED: The call was canceled before normal completion.
directionenumOptional

Direction of the call relative to your Pinnacle team.

  • INBOUND: The call originated from an external caller and was received by one of your Pinnacle voice-enabled phone numbers.
  • OUTBOUND: The call was created from Pinnacle and dialed out from one of your voice-enabled phone numbers.
Allowed values:
fromstringOptionalformat: "^\+[1-9]\d{1,14}$"
tostringOptionalformat: "^\+[1-9]\d{1,14}$"
created_afterstringOptionalformat: "date-time"
created_beforestringOptionalformat: "date-time"

Response

Calls page.
datalist of objects
next_cursorstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error